/***********************************************************************/
/*                                                                     */
/*                      ADOBE CONFIDENTIAL                             */
/*                   _ _ _ _ _ _ _ _ _ _ _ _ _                         */
/*                                                                     */
/*  Copyright 2016 Adobe Systems Incorporated                          */
/*  All Rights Reserved.                                               */
/*                                                                     */
/* NOTICE:  All information contained herein is, and remains           */
/* the property of Adobe Systems Incorporated and its suppliers,       */
/* if any.  The intellectual and technical concepts contained          */
/* herein are proprietary to Adobe Systems Incorporated and its        */
/* suppliers and are protected by all applicable intellectual property */
/* laws, including trade secret and copyright laws.                    */
/* Dissemination of this information or reproduction of this material  */
/* is strictly forbidden unless prior written permission is obtained   */
/* from Adobe Systems Incorporated.                                    */
/*                                                                     */
/***********************************************************************/

//////////////////////////////////////////////////////////////////////////////
//
// SDK functions which can be used in workflow html content
//

//////////////////////////////////////////////////////////////////////////////
//
// Open a file
//
function openFile(abspath) 
{
	var cs = new CSInterface;
	var systempath = cs.getSystemPath(SystemPath.EXTENSION)
	console.log('opening file: ' + systempath + abspath);
	cs.evalScript('app.openDocument(new DocumentOpenParameter("' + systempath + abspath + '"))');
}

//////////////////////////////////////////////////////////////////////////////
//
// Import a file
// @TODO: Can this work?  Can we import without switching file into view?
function importFile(abspath) 
{
	var cs = new CSInterface;
	var systempath = cs.getSystemPath(SystemPath.EXTENSION)
	console.log('importing file: ' + systempath + abspath);
	cs.evalScript('app.importDocument(new DocumentOpenParameter("' + systempath + abspath + '"))');
}
